#!/usr/bin/python3

import cgi
import cgitb
cgitb.enable()

import os

import yaml

docroot = os.environ["DOCUMENT_ROOT"]

files = {}

testroot = os.path.join(docroot, "monkey-test")

print('Content-Type: text/plain')
print('')

for fname in os.listdir(testroot):
    if not fname.endswith(".yaml"):
        continue
    with open(os.path.join(testroot, fname), "r") as fh:
        files[fname] = yaml.load(fh)

for group in files["index.yaml"]:
    print("---")
    group["kind"] = "group"
    print(yaml.dump(group, default_flow_style=False))
    for f, content in files.items():
        if type(content) == dict and content.get("group") == group["group"]:
            d = {"kind": "test", "filename": f, "content": content}
            print("---")
            print(yaml.dump(d, default_flow_style=False))

